People

People

GET
/v1/workspaces/{workspace_id}/people

The workspace’s people, as its People page lists them, for those who may see it. q narrows by name or email.

Authorization

bearer
headerAuthorizationBearer <token>

An access token from /v1/auth/token, or a personal token: opaque, beginning s2a_.

Path Parameters

workspace_id*string

wsp_…, from GET /v1/me

Lengthlength <= 40

Query Parameters

q?string
Lengthlength <= 100

Response Body

The workspace’s people, as its People page lists them

application/json
  1. response

The workspace’s people, as its People page lists them

data*array<>
curl -X GET 'https://api.sign2approve.com/v1/workspaces/string/people'
{  "data": [    {      "id": "per_01a16d3fd3507be78e41c4540aa20a3c",      "name": "Sam Sender",      "email": "[email protected]",      "department": {        "id": "grp_01a16d3fd3507be78e41c4540aa20a3d",        "name": "Sales"      },      "manager": {        "id": "per_01a16d3fd3507be78e41c4540aa20a3e",        "name": "Morgan Manager"      },      "active": true    }  ]}